# Class VulkanFenceCreateInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanFenceCreateInfo.Builder

Enclosing class:
  `VulkanFenceCreateInfo`

public static final class VulkanFenceCreateInfo.Builder extends Object
Builds instances of type `VulkanFenceCreateInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final VulkanFenceCreateInfo.Builder`
  `addAllFlags(Iterable<VulkanFenceCreateFlag> elements)`
  Adds elements to `flags` set.
  `final VulkanFenceCreateInfo.Builder`
  `addFlags(VulkanFenceCreateFlag element)`
  Adds one element to `flags` set.
  `final VulkanFenceCreateInfo.Builder`
  `addFlags(VulkanFenceCreateFlag... elements)`
  Adds elements to `flags` set.
  `VulkanFenceCreateInfo`
  `build()`
  Builds a new `VulkanFenceCreateInfo`.
  `final VulkanFenceCreateInfo.Builder`
  `from(VulkanFenceCreateInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanFenceCreateInfoType` instance.
  `final VulkanFenceCreateInfo.Builder`
  `setFlags(Iterable<VulkanFenceCreateFlag> elements)`
  Sets or replaces all elements for `flags` set.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanFenceCreateInfo.Builder from(VulkanFenceCreateInfoType instance)
    Fill a builder with attribute values from the provided `VulkanFenceCreateInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanFenceCreateInfo.Builder addFlags(VulkanFenceCreateFlag element)
    Adds one element to `flags` set.
    Parameters:
      `element` - A flags element
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanFenceCreateInfo.Builder addFlags(VulkanFenceCreateFlag... elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An array of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setFlags

    public final VulkanFenceCreateInfo.Builder setFlags(Iterable<VulkanFenceCreateFlag> elements)
    Sets or replaces all elements for `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllFlags

    public final VulkanFenceCreateInfo.Builder addAllFlags(Iterable<VulkanFenceCreateFlag> elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanFenceCreateInfo build()
    Builds a new `VulkanFenceCreateInfo`.
    Returns:
      An immutable instance of VulkanFenceCreateInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing